curl --request GET \
--url https://int-api.mx.com/credit_card_products/{credit_card_product_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/credit_card_products/{credit_card_product_guid}"
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://int-api.mx.com/credit_card_products/{credit_card_product_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_card_product": {
"annual_fee": 45,
"duration_of_introductory_rate_on_balance_transfer": null,
"duration_of_introductory_rate_on_purchases": null,
"guid": "CCA-b5bcd822-6d01-4e23-b8d6-846a225e714a",
"has_cashback_rewards": false,
"has_other_rewards": true,
"has_travel_rewards": true,
"has_zero_introductory_annual_fee": true,
"has_zero_percent_introductory_rate": false,
"has_zero_percent_introductory_rate_on_balance_transfer": true,
"is_accepting_applicants": true,
"is_active_credit_card_product": true,
"is_small_business_card": true,
"name": "Credit Card"
}
}Read a Credit Card Product
credit_card_product according to the unique GUID.Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
The required credit_card_product_guid can be found on the account object.
Response
OK
Hide child attributes
Hide child attributes
The annual fee associated with the credit_card_product.
45
The duration of an introductory rate on balance transfers, given in months.
null
null
Unique identifier for the account. Defined by MX.
"CCA-b5bcd822-6d01-4e23-b8d6-846a225e714a"
Indicates if the credit card product has cashback rewards.
false
This indicates whether the credit card offers a rewards system that is different than standard cashback or travel rewards.
true
This indicates whether the credit card offers travel rewards.
true
This indicates whether the credit card offers a limited time period where a membership fee is waived.
true
This indicates whether the credit card offers a zero percent introductory rate.
false
This indicates that the credit card offers a zero percent rate when transferring a balance from a different credit card.
true
This indicates whether the financial institution is still accepting applicants for the credit card.
true
This indicates whether the credit card is still supported by the financial institution.
true
This indicates whether the credit card is associated with a small business.
true
The name associated with the credit_card_product.
"Credit Card"

